=== modified file 'INSTALL'
--- INSTALL	2006-03-10 20:58:35 +0000
+++ INSTALL	2006-05-02 02:36:38 +0000
@@ -12,7 +12,7 @@
 "bzr clean-tree -h"
 
 Optional Dependencies:
-rsync          - used by push
+rsync          - used by rpush
 diff           - used by shelve and unshelve
 patch          - used by shelve, unshelve and patch
 baz and pybaz  - used by baz-import

=== modified file 'NEWS'
--- NEWS	2006-04-12 01:27:15 +0000
+++ NEWS	2006-05-02 02:36:38 +0000
@@ -1,3 +1,6 @@
+Man 1
+* Renamed push to rpush (Robert Collins)
+
 Apr 11
 * New Switch command (David Allouche/Canonical)
 
@@ -8,7 +11,7 @@
 
 Jan 31
 * Improved shell completion
-* bzr push can omit working tree
+* bzr rpush can omit working tree
 * Documentation updates
 
 Dec 13

=== modified file 'README'
--- README	2006-03-24 13:13:01 +0000
+++ README	2006-05-02 02:36:38 +0000
@@ -18,7 +18,7 @@
 baz-import-branch will import an Arch or Baz Branch into a bzr standalone tree.
 See baz-import for conversion details.
 
-PUSH
+RPUSH
 Uses rsync to copy a branch to a remote location.  Remembers the last location
 used.  Will not push if
 - there are unknown files

=== modified file '__init__.py'
--- __init__.py	2006-04-14 21:56:35 +0000
+++ __init__.py	2006-05-02 02:36:38 +0000
@@ -3,7 +3,7 @@
 Various useful plugins for working with bzr.
 """
 import bzrlib.commands
-import push
+import rpush
 from errors import CommandError
 from patchsource import BzrPatchSource
 from shelf import Shelf
@@ -14,7 +14,7 @@
 import bzrlib.branch
 from bzrlib.errors import BzrCommandError
 sys.path.insert(0, os.path.realpath(os.path.join(os.path.dirname(__file__), 
-						 "external")))
+                                                 "external")))
 from bzrlib import DEFAULT_IGNORE
 
 
@@ -377,14 +377,10 @@
             cmd_multi_pull, cmd_switch, cmd_branch_mark]
 
 
-command_decorators = []
 
 
 import bzrlib.builtins
-if not hasattr(bzrlib.builtins, "cmd_push"):
-    commands.append(push.cmd_push)
-else:
-    command_decorators.append(push.cmd_push)
+commands.append(rpush.cmd_rpush)
 
 from errors import NoPyBaz
 try:
@@ -417,9 +413,6 @@
 if hasattr(bzrlib.commands, 'register_command'):
     for command in commands:
         bzrlib.commands.register_command(command)
-    for command in command_decorators:
-        command._original_command = bzrlib.commands.register_command(
-            command, True)
 
 
 def test_suite():

=== modified file 'bzrtools.py'
--- bzrtools.py	2006-03-25 06:08:01 +0000
+++ bzrtools.py	2006-05-02 02:36:38 +0000
@@ -241,7 +241,7 @@
     except RsyncNoFile:
         return True
 
-def push(tree, location=None, overwrite=False, working_tree=True):
+def rpush(tree, location=None, overwrite=False, working_tree=True):
     push_location = get_push_data(tree)
     if location is not None:
         if not location.endswith('/'):
@@ -249,16 +249,11 @@
         push_location = location
     
     if push_location is None:
-        if tree.branch.get_push_location() is None:
-            raise BzrCommandError("No push location known or specified.")
-        else:
-            raise bzrlib.errors.MustUseDecorated
-
-    if push_location.find('://') != -1:
-        raise bzrlib.errors.MustUseDecorated
-
-    if push_location.find(':') == -1:
-        raise bzrlib.errors.MustUseDecorated
+        raise BzrCommandError("No rpush location known or specified.")
+
+    if (push_location.find('://') != -1 or
+        push_location.find(':') == -1):
+        raise BzrCommandError("Invalid rsync path %r." % push_location)
 
     if working_tree:
         clean, non_source = is_clean(tree)

=== modified file 'obsolete/bzr-push'
--- obsolete/bzr-push	2005-09-13 22:49:40 +0000
+++ obsolete/bzr-push	2006-05-02 02:36:38 +0000
@@ -25,5 +25,5 @@
     location = sys.argv[1]
 else:
     location = None
-bzrtools.push(cur_branch, location)
+bzrtools.rpush(cur_branch, location)
 

=== renamed file 'push.py' => 'rpush.py'
--- push.py	2006-03-01 13:42:15 +0000
+++ rpush.py	2006-05-02 02:36:38 +0000
@@ -14,7 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 from bzrlib.commands import Command
-from bzrlib.errors import MustUseDecorated, BzrOptionError
 from bzrlib.option import Option
 from bzrlib.workingtree import WorkingTree
 import sys
@@ -22,15 +21,14 @@
 import bzrtools 
 
 
-class cmd_push(Command):
+class cmd_rpush(Command):
     """Upload this branch to another location using rsync.
 
     If no location is specified, the last-used location will be used.  To 
-    prevent dirty trees from being uploaded, push will error out if there are 
+    prevent dirty trees from being uploaded, rpush will error out if there are 
     unknown files or local changes.  It will also error out if the upstream 
     directory is non-empty and not an earlier version of the branch. 
     """
-    _original_command = None
     takes_args = ['location?']
     takes_options = [Option('overwrite', help='Ignore differences between'
                             ' branches and overwrite unconditionally'),
@@ -39,17 +37,5 @@
 
     def run(self, location=None, overwrite=False, no_tree=False):
         cur_branch = WorkingTree.open_containing(".")[0]
-        bzrtools.push(cur_branch, location, overwrite=overwrite, 
+        bzrtools.rpush(cur_branch, location, overwrite=overwrite, 
                       working_tree=not no_tree)
-        
-    def run_argv_aliases(self, argv, alias_argv=None):
-        """Parse command line and run.
-        
-        If the command requests it, run the decorated version.
-        """
-        try:
-            super(cmd_push, self).run_argv_aliases(list(argv), alias_argv)
-        except (MustUseDecorated, BzrOptionError):
-            if self._original_command is None:
-                raise
-            self._original_command().run_argv_aliases(argv, alias_argv)

